package com.keao.edu.user.dto;

public class RecordNotify {
	private Long timestamp;

	private Integer type;

	private String appkey;

	private String recordId;

	private String sessionId;

	private String roomId;

	private String userId;

	private String output;

	public Long getTimestamp() {
		return timestamp;
	}

	public void setTimestamp(Long timestamp) {
		this.timestamp = timestamp;
	}

	public Integer getType() {
		return type;
	}

	public void setType(Integer type) {
		this.type = type;
	}

	public String getAppkey() {
		return appkey;
	}

	public void setAppkey(String appkey) {
		this.appkey = appkey;
	}

	public String getRecordId() {
		return recordId;
	}

	public void setRecordId(String recordId) {
		this.recordId = recordId;
	}

	public String getSessionId() {
		return sessionId;
	}

	public void setSessionId(String sessionId) {
		this.sessionId = sessionId;
	}

	public String getRoomId() {
		return roomId;
	}

	public void setRoomId(String roomId) {
		this.roomId = roomId;
	}

	public String getUserId() {
		return userId;
	}

	public void setUserId(String userId) {
		this.userId = userId;
	}

	public String getOutput() {
		return output;
	}

	public void setOutput(String output) {
		this.output = output;
	}

	@Override
	public String toString() {
		return "RecordNotify{" +
				"timestamp=" + timestamp +
				", type=" + type +
				", appkey='" + appkey + '\'' +
				", recordId='" + recordId + '\'' +
				", sessionId='" + sessionId + '\'' +
				", roomId='" + roomId + '\'' +
				", userId='" + userId + '\'' +
				", output='" + output + '\'' +
				'}';
	}
}
